<div>
  <h2 id="page-heading" data-cy="AvancementCategorieHeading">
    <span jhiTranslate="gestionPersonnel3App.avancementCategorie.home.title">AvancementCategories</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.avancementCategorie.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-avancement-categorie"
        [routerLink]="['/avancement-categorie/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.avancementCategorie.home.createLabel"> Créer un nouveau Avancement Categorie </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="avancementCategories?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.avancementCategorie.home.notFound">Aucun Avancement Categorie trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="avancementCategories && avancementCategories.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateAvancement">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.avancementCategorie.dateAvancement">Date Avancement</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="categorie.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.avancementCategorie.categorie">Categorie</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.avancementCategorie.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let avancementCategorie of avancementCategories; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/avancement-categorie', avancementCategorie.id, 'view']">{{ avancementCategorie.id }}</a>
          </td>
          <td>{{ avancementCategorie.dateAvancement | formatMediumDate }}</td>
          <td>
            <div *ngIf="avancementCategorie.categorie">
              <a [routerLink]="['/categorie', avancementCategorie.categorie.id, 'view']">{{ avancementCategorie.categorie.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="avancementCategorie.employe">
              <a [routerLink]="['/employe', avancementCategorie.employe.id, 'view']">{{ avancementCategorie.employe.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/avancement-categorie', avancementCategorie.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/avancement-categorie', avancementCategorie.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(avancementCategorie)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
